org.keycloak.dom.saml.v2.ac.classes

## Class ActivationLimitType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ActivationLimitType

-     public class ActivationLimitType
      extends Object

  Java class for ActivationLimitType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ActivationLimitType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ActivationLimitDuration"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ActivationLimitUsages"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ActivationLimitSession"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActivationLimitDurationType` | `activationLimitDuration`
    `protected ActivationLimitSessionType` | `activationLimitSession`
    `protected ActivationLimitUsagesType` | `activationLimitUsages`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationLimitType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationLimitDurationType` | `getActivationLimitDuration()` Gets the value of the activationLimitDuration property.
    `ActivationLimitSessionType` | `getActivationLimitSession()` Gets the value of the activationLimitSession property.
    `ActivationLimitUsagesType` | `getActivationLimitUsages()` Gets the value of the activationLimitUsages property.
    `void` | `setActivationLimitDuration(ActivationLimitDurationType value)` Sets the value of the activationLimitDuration property.
    `void` | `setActivationLimitSession(ActivationLimitSessionType value)` Sets the value of the activationLimitSession property.
    `void` | `setActivationLimitUsages(ActivationLimitUsagesType value)` Sets the value of the activationLimitUsages property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### activationLimitDuration

          protected ActivationLimitDurationType activationLimitDuration

    - #### activationLimitUsages

          protected ActivationLimitUsagesType activationLimitUsages

    - #### activationLimitSession

          protected ActivationLimitSessionType activationLimitSession

  - ### Constructor Detail

    - #### ActivationLimitType

          public ActivationLimitType()

  - ### Method Detail

    - #### getActivationLimitDuration

          public ActivationLimitDurationType getActivationLimitDuration()

      Gets the value of the activationLimitDuration property.
      Returns:
        possible object is `ActivationLimitDurationType`

    - #### setActivationLimitDuration

          public void setActivationLimitDuration(ActivationLimitDurationType value)

      Sets the value of the activationLimitDuration property.
      Parameters:
        `value` - allowed object is `ActivationLimitDurationType`

    - #### getActivationLimitUsages

          public ActivationLimitUsagesType getActivationLimitUsages()

      Gets the value of the activationLimitUsages property.
      Returns:
        possible object is `ActivationLimitUsagesType`

    - #### setActivationLimitUsages

          public void setActivationLimitUsages(ActivationLimitUsagesType value)

      Sets the value of the activationLimitUsages property.
      Parameters:
        `value` - allowed object is `ActivationLimitUsagesType`

    - #### getActivationLimitSession

          public ActivationLimitSessionType getActivationLimitSession()

      Gets the value of the activationLimitSession property.
      Returns:
        possible object is `ActivationLimitSessionType`

    - #### setActivationLimitSession

          public void setActivationLimitSession(ActivationLimitSessionType value)

      Sets the value of the activationLimitSession property.
      Parameters:
        `value` - allowed object is `ActivationLimitSessionType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.